This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 619869 - Error compiling paraview
Error compiling paraview
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 607615 656410
  Show dependency treegraph
 
Reported: 2010-07-30 14:29 EDT by Orion Poplawski
Modified: 2013-08-09 01:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: boost-1.44.0-0.4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 10:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-07-30 14:29:45 EDT
Description of problem:

Trying to compile paraview (vtk component) I get:

In file included from /usr/include/boost/random.hpp:36:0,
                 from /builddir/build/BUILD/ParaView-3.8.0/VTK/Infovis/vtkBoostRandomSparseArraySource.cxx:29:
/usr/include/boost/random/linear_congruential.hpp:33:52: fatal error: boost/random/detail/disable_warnings.hpp: No such file or directory

Which would appear to be an issue internal to boost.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2359242

Version-Release number of selected component (if applicable):
DEBUG util.py:255:   boost-devel              x86_64   1.44.0-0.3.fc14                build   6.0 M

DEBUG util.py:255:   boost                    x86_64   1.44.0-0.3.fc14                build    16 k
DEBUG util.py:255:   boost-date-time          x86_64   1.44.0-0.3.fc14                build    38 k
DEBUG util.py:255:   boost-filesystem         x86_64   1.44.0-0.3.fc14                build    42 k
DEBUG util.py:255:   boost-graph              x86_64   1.44.0-0.3.fc14                build    78 k
DEBUG util.py:255:   boost-iostreams          x86_64   1.44.0-0.3.fc14                build    45 k
DEBUG util.py:255:   boost-program-options    x86_64   1.44.0-0.3.fc14                build   142 k
DEBUG util.py:255:   boost-python             x86_64   1.44.0-0.3.fc14                build   123 k
DEBUG util.py:255:   boost-regex              x86_64   1.44.0-0.3.fc14                build   568 k
DEBUG util.py:255:   boost-serialization      x86_64   1.44.0-0.3.fc14                build   165 k
DEBUG util.py:255:   boost-signals            x86_64   1.44.0-0.3.fc14                build    43 k
DEBUG util.py:255:   boost-system             x86_64   1.44.0-0.3.fc14                build    22 k
DEBUG util.py:255:   boost-test               x86_64   1.44.0-0.3.fc14                build   422 k
DEBUG util.py:255:   boost-thread             x86_64   1.44.0-0.3.fc14                build    44 k
DEBUG util.py:255:   boost-wave               x86_64   1.44.0-0.3.fc14                build   233 k
Comment 1 Denis Arnaud 2010-07-31 06:17:28 EDT
gnash build also encountered that issue: http://koji.fedoraproject.org/koji/getfile?taskID=2357337&name=build.log
Comment 2 Denis Arnaud 2010-07-31 06:49:19 EDT
(In reply to comment #1)
> gnash build also encountered that issue:
> http://koji.fedoraproject.org/koji/getfile?taskID=2357337&name=build.log    
Which is part of the gnash build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=2357337
Comment 3 Denis Arnaud 2010-07-31 17:09:24 EDT
New package version (1.44.0-0.4) for Rawhide builds cleanly: http://koji.fedoraproject.org/koji/taskinfo?taskID=2369563
And for F14: http://koji.fedoraproject.org/koji/buildinfo?buildID=2370110

It should solve the issue (once the new version makes its way to the repository).
Comment 4 Fedora Update System 2010-07-31 17:30:21 EDT
boost-1.44.0-0.4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/boost-1.44.0-0.4.fc14
Comment 5 Fedora Update System 2010-08-01 15:25:16 EDT
boost-1.44.0-0.4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/boost-1.44.0-0.4.fc14
Comment 6 Orcan Ogetbil 2010-08-02 16:11:31 EDT
Hi Orion,

The fixed boost is tagged into the buildroot on F-14. Could you give it another kick?

Thanks.
Comment 7 Benjamin Kosnik 2010-08-03 03:34:31 EDT
This looks to be fixed now:
http://koji.fedoraproject.org/koji/buildinfo?buildID=187644

I checked the build logs: boost 1.44 is found
Comment 8 Jon Ciesla 2010-08-03 11:29:19 EDT
I'm seeing this, or something like this currently on wesnoth:

hecking boost/iostreams/device/file_descriptor.hpp usability... yes
checking boost/iostreams/device/file_descriptor.hpp presence... yes
checking for boost/iostreams/device/file_descriptor.hpp... yes
checking for the Boost iostreams library... configure: error: Cannot compile a test that uses Boost iostreams
error: Bad exit status from /var/tmp/rpm-tmp.979rIy (%build)
    Bad exit status from /var/tmp/rpm-tmp.979rIy (%build)
RPM build errors:
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/wesnoth.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/util.py", line 333, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/wesnoth.spec']
LEAVE do --> EXCEPTION RAISED
Comment 9 Denis Arnaud 2010-08-03 14:46:15 EDT
(In reply to comment #8)
> I'm seeing this, or something like this currently on wesnoth:
> [...]

Could open another bug request, as it seems you have a different issue here?

Thanks in advance
Comment 10 Denis Arnaud 2010-08-03 14:50:52 EDT
(In reply to comment #9)
> Could open another bug request => Could you open another bug request

BTW, the failed build can be seen on Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2376730
Comment 11 Denis Arnaud 2010-08-03 15:02:01 EDT
From what I see in the wesnoth build log (http://koji.fedoraproject.org/koji/getfile?taskID=2376730&name=build.log), it appears to come from an Autotools-related issue (the configure script is not able to retrieve Boost.IOStreams). Upstream (wesnoth) suggests to use/try scons and/or CMake, instead of the Autotools. It can be a good opportunity to give it a try.

Otherwise, I suggest that you compare wesnoth's configure scripts (configure.ac and ??boost??.m4 M4 macro files) with those of working packages (paraview, glob2, rmol, etc.)
Comment 12 Fedora Update System 2010-08-05 10:27:03 EDT
boost-1.44.0-0.4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.